Pub/SubList subscriptions
Pub/Sub

List subscriptions

Retrieve all Pub/Sub subscriptions.

curl -X GET "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions?topic=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "sub_5kN2mPqR",
      "name": "analytics-events-processor",
      "topic": "analytics.events",
      "status": "active",
      "push_endpoint": "example_string",
      "ack_deadline_seconds": 60,
      "max_delivery_attempts": 5,
      "filter": {},
      "created_at": "2024-04-01T10:00:00.000Z"
    }
  ],
  "count": 4
}
GET
/admin/pubsub/subscriptions
GET
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
query
topicstring

Filter by topic name.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Query Parameters

topicstring

Filter by topic name.

Responses

successboolean
dataarray
countinteger